<vn>
<vn-group>
	<vn-param id="new-id"/>
	<vn-hash-param key="new" param="new-id"/>
	<db-form id="iter" on-status-changed="onStatusChange">
		<db-model
			id="model"
			property="model"
			updatable="true"
			on-operations-done="onOperationsDone">
			<custom>
				SELECT id, title, text, tag, priority
					FROM news WHERE id = #new
			</custom>
			<sql-batch property="batch">
				<custom>
					<item name="new" param="new-id"/>
				</custom>
			</sql-batch>
		</db-model>
	</db-form>
	<db-param form="iter" column="text" on-changed="onBodyChange"/>
</vn-group>
<div id="title">
	<h1><t>AddEditNew</t></h1>
</div>
<div id="actions">
	<htk-bar-button
		icon="ok"
		tip="_Accept"
		on-click="onAcceptClick"/>
	<htk-bar-button
		icon="close"
		tip="_Return"
		on-click="onReturnClick"/>
</div>
<div id="form" class="new">
	<div class="box">
		<div class="form">
			<div class="form-group">
				<label><t>Title</t></label>
				<htk-entry form="iter" column="title"/>
			</div>
			<div class="form-group">
				<label><t>Tag</t></label>
				<htk-combo form="iter" column="tag">
					<db-model property="model">
						<custom>
							SELECT name, description FROM newsTag
								ORDER BY description
						</custom>
					</db-model>
				</htk-combo>
			</div>
			<div class="form-group">
				<label><t>Priority</t></label>
				<htk-entry form="iter" column="priority"/>
			</div>
			<div class="form-group">
				<label><t>NewBody</t></label>
				<textarea id="html-editor"/>
			</div>
		</div>
	</div>
</div>
</vn>
